org.eclipse.wst.jsdt.chromium.debug.ui.liveedit

## Interface LiveEditDiffViewer.FunctionNode

Enclosing class:
  LiveEditDiffViewer

    public static interface LiveEditDiffViewer.FunctionNode

A function in old and/or new version of the script.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<? extends LiveEditDiffViewer.FunctionNode>` `children()`
`java.lang.String` `getName()`
`LiveEditDiffViewer.FunctionNode` `getParent()`
`LiveEditDiffViewer.SourcePosition` `getPosition(LiveEditDiffViewer.Side side)`
`java.lang.String` `getStatus()`

### Method Detail

#### getName

    java.lang.String getName()

#### getStatus

    java.lang.String getStatus()

#### children

    java.util.List<? extends LiveEditDiffViewer.FunctionNode> children()

#### getPosition

    LiveEditDiffViewer.SourcePosition getPosition(LiveEditDiffViewer.Side side)

Returns:
  positions inside a particular version of the script, or null if function does not linked to this version

#### getParent

    LiveEditDiffViewer.FunctionNode getParent()